Subject: Re: how to allocate 9MB of memory in kernel ?

From: Marco Stornelli <[email-masked]>
Date: Thu, 17 Jul 2008 11:04:42 +0200

Misbah khan ha scritto:
>>> You can use the mem option to tell to the kernel that you've got less 
>>> ram you really have. 
> I really didnt got the point you made. Can you please elaborate it for my
> understanding.
If you've got 128MB of ram you can use the mem option to tell to the 
kernel the it can use only (128 - 9) MB of ram, after that you can use 
that chunk of ram, however I think it's not the case if your goal is to 
use a sdram as you said in the previous message.

>>> However you can read Linux device drivers chapter 8 
> i dont need to allocate large memory at the boot time also vmalloc and
> kmalloc i cant use as it can allocate free page up to 128kb, hence if you
> could suggest me a better technique i would really appriciate .
> 
The problem about 128KB is only for kmalloc. If I understood correctly 
you need only to remap the 9MB of your sdram.

> ---Misbah <><
> 
> 
> Marco Stornelli wrote:
>> Misbah khan ha scritto:
>>> Hi all,
>>>
>>> I need to allocate 9 MB of memory in to the kernel space which i need to
>>> mmap for the application to access.
>>>
>>> I need to know what could be the best possible way of doing the same.
>>>
>>> Please share your experience in this regard .
>>>
>>> Thank you in advance 
>>>
>>> ----Misbah <><
>> You can use the mem option to tell to the kernel that you've got less 
>> ram you really have. However you can read Linux device drivers chapter 8 
>> "Obtaining Large Buffers" :).
>>
>> Regards,
>>
>> -- 
>> Marco Stornelli
>> Embedded Software Engineer
>> CoRiTeL - Consorzio di Ricerca sulle Telecomunicazioni
>> http://www.coritel.it
>>
>> [email-masked]
>> +39 06 72582838
>> _______________________________________________
>> Linuxppc-embedded mailing list
>> [email-masked]
>> https://ozlabs.org/mailman/listinfo/linuxppc-embedded
>>
>>
> 

-- 
Marco Stornelli
Embedded Software Engineer
CoRiTeL - Consorzio di Ricerca sulle Telecomunicazioni
http://www.coritel.it

[email-masked]
+39 06 72582838